> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List reports with filtering and pagination



## OpenAPI

````yaml /openapi/reports.json post /reports/list
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /reports/list:
    post:
      tags:
        - Reports
      summary: List reports with filtering and pagination
      operationId: reports.list
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    id:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: ID
                    alertId:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: Alert ID
                    contentHash:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Content Hash
                    outputFormat:
                      anyOf:
                        - enum:
                            - xml
                            - txt
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - xml
                                - txt
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - xml
                                  - txt
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - xml
                                  - txt
                                type: string
                      description: Output Format
                    referenceNumber:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Reference Number
                    name:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Name
                    isCurrent:
                      type: boolean
                      description: Is Current
                    sequence:
                      anyOf:
                        - type: number
                        - type: object
                          properties:
                            eq:
                              type: number
                            gt:
                              type: number
                            gte:
                              type: number
                            lt:
                              type: number
                            lte:
                              type: number
                            in:
                              type: array
                              items:
                                type: number
                            nin:
                              type: array
                              items:
                                type: number
                      description: Sequence
                    size:
                      anyOf:
                        - type: number
                        - type: object
                          properties:
                            eq:
                              type: number
                            gt:
                              type: number
                            gte:
                              type: number
                            lt:
                              type: number
                            lte:
                              type: number
                            in:
                              type: array
                              items:
                                type: number
                            nin:
                              type: array
                              items:
                                type: number
                      description: Size
                    generatedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Generated At
                    createdAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Created At
                    updatedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Updated At
                    tagIds:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            contains:
                              type: string
                              format: uuid
                            notContains:
                              type: string
                              format: uuid
                            containsAny:
                              type: array
                              items:
                                type: string
                                format: uuid
                            containsAll:
                              type: array
                              items:
                                type: string
                                format: uuid
                            empty:
                              type: boolean
                            notEmpty:
                              type: boolean
                      description: Tags
                sort:
                  type: array
                  items:
                    type: object
                    properties:
                      field:
                        enum:
                          - generatedAt
                          - createdAt
                          - updatedAt
                          - sequence
                          - size
                          - filename
                          - referenceNumber
                          - name
                          - outputFormat
                        type: string
                      direction:
                        enum:
                          - asc
                          - desc
                        type: string
                    required:
                      - field
                      - direction
                cursor:
                  type: string
                offset:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                limit:
                  type: integer
                  minimum: 1
                  maximum: 200
                  default: 20
                includeTotalCount:
                  type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: ID
                        alertId:
                          type: string
                          format: uuid
                          description: Alert ID
                        contentHash:
                          type: string
                          description: Content Hash
                        filename:
                          type: string
                          description: Filename
                        contentType:
                          type: string
                          description: Content Type
                        size:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                          exclusiveMinimum: 0
                          description: Size
                        outputFormat:
                          enum:
                            - xml
                            - txt
                          type: string
                          description: Output Format
                        referenceNumber:
                          type: string
                          description: Reference Number
                        name:
                          type: string
                          description: Name
                        sequence:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                          exclusiveMinimum: 0
                          description: Sequence
                        totalParts:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                          exclusiveMinimum: 0
                          description: Total Parts
                        isCurrent:
                          type: boolean
                          description: Is Current
                        generatedAt:
                          type: string
                          format: date-time
                          description: Generated At
                        createdAt:
                          type: string
                          format: date-time
                          description: Created At
                        updatedAt:
                          type: string
                          format: date-time
                          description: Updated At
                        tags:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                              name:
                                type: string
                              color:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - id
                              - name
                              - color
                      required:
                        - id
                        - alertId
                        - contentHash
                        - filename
                        - contentType
                        - size
                        - outputFormat
                        - sequence
                        - totalParts
                        - isCurrent
                        - generatedAt
                        - createdAt
                        - updatedAt
                  pagination:
                    type: object
                    properties:
                      hasMore:
                        type: boolean
                      nextCursor:
                        type: string
                      totalCount:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - hasMore
                required:
                  - data
                  - pagination
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````